Bug 235265 - (CVE-2007-1352) CVE-2007-1351 Multiple font integer overflows (CVE-2007-1352)
CVE-2007-1351 Multiple font integer overflows (CVE-2007-1352)
Product: Fedora
Classification: Fedora
Component: libXfont (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-04-04 14:55 EDT by Josh Bressers
Modified: 2014-06-18 05:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-02 13:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-04-04 14:55:20 EDT
+++ This bug was initially created as a clone of Bug #234058 +++

+++ This bug was initially created as a clone of Bug #234055 +++

iDEFENSE has reported two font related integer overflows.

CVE-2007-1351 describes an integer overflow in the way X parses a BDF font file.

CVE-2007-1352 describes an integer overflow in thw way X parses a fonts.dir file.

Both of these flaws could allow a local attacker to gain elevated privileges.

-- Additional comment from bressers@redhat.com on 2007-03-26 16:29 EST --
attachment 150950 [details] is the proposed upstream patch

This flaw also affects FC5
Comment 1 Josh Bressers 2007-04-10 16:39:43 EDT
Ping on this flaw, we need to fix this.
Comment 2 Lubomir Kundrak 2007-08-02 08:23:15 EDT
Sandmann: please do push an updated package for FC6
Comment 3 Søren Sandmann Pedersen 2007-08-02 13:33:44 EDT
Was fixed by

* Fri Apr 06 2007 Adam Jackson <ajax@redhat.com> 1.2.8-1
- libXfont 1.2.8.

Note You need to log in before you can comment on or make changes to this bug.